#!/bin/bash

log "Обновляем пакеты с суфиксом -${OLD_NUMBER}"
dpkg-query --list \
        | grep -E '^ii .*'"$OLD_NUMBER" \
        | sed -E 's/^(\w*)\s*/\1 /' \
        | cut -f2 -d' ' \
        | while read -r LINE; do
    PKG=${LINE%:*}
    SUFFIX=:${LINE#*:}
    if [ ${SUFFIX} == ":${LINE}" ]; then
        SUFFIX=
    fi
    PKG_NO_OLD=${PKG%-$OLD_NUMBER}
    PKG_HWE_NEW=${PKG_NO_OLD}-${NEW_NUMBER}
    PKG_NO_HWE=${PKG_NO_OLD%-hwe}
    PKG_NO_HWE_NEW=${PKG_NO_HWE}-${NEW_NUMBER}

    # LINE=pkg-hwe-18.04:amd64
    # PKG=pkg-hwe-18.04
    # SUFFIX=:amd64
    # PKG_NO_OLD=pkg-hwe
    # PKG_HWE_NEW=pkg-hwe-22.04
    # PKG_NO_HWE=pkg
    # PKG_NO_HWE_NEW=pkg-22.04

    apt-mark auto "$LINE"

    for pkg in "$PKG_HWE_NEW" "$PKG_NO_HWE_NEW" "$PKG_NO_OLD" "$PKG_NO_HWE"; do
        if apt-cache show "${pkg}${SUFFIX}" >/dev/null 2>/dev/null; then
            apt-get install -y "${pkg}${SUFFIX}"
            if [ "$PKG_NO_HWE" != "linux-generic" -a "$PKG_NO_HWE" != "linux-headers-generic" ]; then
                apt-mark auto "${pkg}${SUFFIX}"
            fi
            break
        fi
    done
done
